"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useWalletConnectButton = useWalletConnectButton;
const wallet_adapter_react_1 = require("@solana/wallet-adapter-react");
const react_1 = require("react");
function useWalletConnectButton() {
    const { connect, connected, connecting, wallet } = (0, wallet_adapter_react_1.useWallet)();
    let buttonState;
    if (connecting) {
        buttonState = 'connecting';
    }
    else if (connected) {
        buttonState = 'connected';
    }
    else if (wallet) {
        buttonState = 'has-wallet';
    }
    else {
        buttonState = 'no-wallet';
    }
    const handleConnectButtonClick = (0, react_1.useCallback)(() => {
        connect().catch(() => {
            // Silently catch because any errors are caught by the context `onError` handler
        });
    }, [connect]);
    return {
        buttonDisabled: buttonState !== 'has-wallet',
        buttonState,
        onButtonClick: buttonState === 'has-wallet' ? handleConnectButtonClick : undefined,
        walletIcon: wallet === null || wallet === void 0 ? void 0 : wallet.adapter.icon,
        walletName: wallet === null || wallet === void 0 ? void 0 : wallet.adapter.name,
    };
}
//# sourceMappingURL=useWalletConnectButton.js.map